import React from 'react';
export default {
  title: 'Typography/List',
  parameters: {
    docs: {
      source: {
        type: 'dynamic'
      }
    }
  }
};

var listMarkup = function listMarkup(type) {
  var label = type.charAt(0).toUpperCase() + type.slice(1);
  var className = 'ds-c-list';
  var Tag = 'ul';
  if (type === 'unstyled') className = 'ds-c-list ds-c-list--bare';
  if (type === 'ordered') Tag = 'ol';
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h2", {
    className: "ds-h6",
    id: "".concat(type, "-list-id")
  }, label, " list title"), /*#__PURE__*/React.createElement(Tag, {
    className: className,
    "aria-labelledby": "".concat(type, "-list-id")
  }, /*#__PURE__*/React.createElement("li", null, "List item 1"), /*#__PURE__*/React.createElement("li", null, "List item 2")));
};

export var unorderedList = function unorderedList() {
  return listMarkup('unordered');
};
export var orderedList = function orderedList() {
  return listMarkup('ordered');
};
export var unstyledList = function unstyledList() {
  return listMarkup('unstyled');
};